Skip to main content
GET
/
1
/
recipients
/
{recipientId}
Get a single Recipient
curl --request GET \
  --url https://api.honeycomb.io/1/recipients/{recipientId} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "id": "yUheCUmgZ8p",
  "created_at": "2022-07-26T22:38:04Z",
  "updated_at": "2022-07-26T22:38:04Z",
  "type": "pagerduty",
  "details": {
    "pagerduty_integration_name": "Example PagerDuty Service",
    "pagerduty_integration_key": "7zOwh1edS8xHGcwfb2bA4sqY8E6PJzSK"
  }
}

Authorizations

X-Honeycomb-Team
string
header
required

A Honeycomb Configuration Key is required to use this API. A Configuration Key can be found in the API Keys section of the environment configuration, which can be found under Environment Settings -> API Keys -> Configuration tab. Check out our documentation to find your API Keys.

More information can be found in Manage Environments.

Path Parameters

recipientId
string
required

Unique identifier (ID) of a Recipient.

Response

Success

id
string
Example:

"yUheCUmgZ8p"

created_at
string<date-time>

ISO8601 formatted time the Recipient was created.

Example:

"2022-07-26T22:38:04Z"

updated_at
string<date-time>

ISO8601 formatted time the Recipient was updated.

Example:

"2022-07-26T22:38:04Z"

type
enum<string>

One of the supported Recipient Types

Available options:
pagerduty
details
object

Specific schema for the Pagerduty Recipient Type